
# org.dyrk.geocoder

http://dyrk.org

## Supported Platforms

- iOS
- Android

## Methods

- navigator.geocoder.Address2Coordinates
- navigator.geocoder.Coordinates2Address



## navigator.geocoder.Address2Coordinates

Forward geocode a given address to find coordinates.

    navigator.geocoder.Address2Coordinates(successCallback, errorCallback, addressString);

### Parameters

- __addressString__: The address to be geocoded. (String)





## navigator.geocoder.Coordinates2Address

Forward geocode a given address to find coordinates.

    navigator.geocoder.Coordinates2Address(successCallback, errorCallback, ArrayCoordGPS);

### Parameters

- __ArrayCoordGPS__: Coordonnites X & Y in JSON FORMAT. (JSON) Contain latitude & longitude




### Example

function err(e){function err(e){
                alert("Error\ : " + JSON.stringify(e) );
        }

function success(e){
                alert("COOL : " + JSON.stringify(e)  );
        }



function init(){
        navigator.geocoder.Address2Coordinates( success, err, "8 avenue de l'aiguillon, 44980 Sainte Luce sur Loire");
        navigator.geocoder.Coordinates2Address( success, err, {"longitude":"-1.5967339", "latitude":"46.8287651"});
}

document.addEventListener('deviceready', init, false);

